## org.eclipse.ocl.expressions.operations
Class CollectionItemOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.CollectionLiteralPartOperations
          org.eclipse.ocl.expressions.operations.CollectionItemOperations

    public class CollectionItemOperations

extends CollectionLiteralPartOperations

A static utility class that provides operations related to 'Collection Item' model objects.

The following operations are supported:

- `Check Item Type`

Constructor Summary
`protected` `CollectionItemOperations()`

Method Summary

`static

`<C> boolean`

`

`checkItemType(CollectionItem<C> collectionItem, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = item.type

Methods inherited from class org.eclipse.ocl.expressions.operations.CollectionLiteralPartOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionItemOperations

    protected CollectionItemOperations()

Method Detail

### checkItemType

    public static <C> boolean checkItemType(CollectionItem<C> collectionItem,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

  type = item.type

  Parameters:
    `collectionItem` - The receiving 'Collection Item' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.